#!/bin/sh
#
#
# Master postInstall script.
#
#

OS=`uname -s`;
echo $OS 2> /dev/null > /dev/null
APPROOT="/opt/ibm/edge";
MAJORVERSION=8;
MINORVERSION=0;
REVISION=0;
PATCHLEVEL=12;

#Changing FULL_BUILD to true as IM uninstalls the base version of CP before installing the fix pack
if [ $REVISION -gt 0 -o $PATCHLEVEL -gt 0 ]
then
	FULL_BUILD=true;
else
	FULL_BUILD=true;
fi

case `echo $LANG` in
	"en_US"*)
		LANGUAGE="en_US";
          ;;
	"cs_CZ"*)
              	LANGUAGE="cs_CZ";
          ;;
	"de_DE"*)
               	LANGUAGE="de_DE";
          ;;
	"es_ES"*)
                LANGUAGE="es_ES";
          ;;
	"fr_FR"*)
                LANGUAGE="fr_FR";
          ;;
	"hu_HU"*)
                LANGUAGE="hu_HU";
          ;;
	"it_IT"*)
                LANGUAGE="it_IT";
          ;;
	"ja_JP"*)
                LANGUAGE="ja_JP";
          ;;
	"ko_KR"*)
                LANGUAGE="ko_KR";
          ;;
	"pl_PL"*)
                LANGUAGE="pl_PL";
          ;;
	"pt_BR"*)
                LANGUAGE="pt_BR";
          ;;
	"ru_RU"*)
                LANGUAGE="ru_RU";
          ;;
	"zh_CN"*)
                LANGUAGE="zh_CN";
          ;;
	"zh_TW"*)
                LANGUAGE="zh_TW";
          ;;		  
	*)
		LANGUAGE="en_US";
	  ;;
esac

case "$OS" in
"AIX")
			../gskit/gskit.sh `pwd`/../gskit
			if [ $? -ne 0 ]
			then
				lslpp -l | grep -i gskit8
				if [ $? -ne 0 ]
				then
					echo "GSKIT installation unsuccessful. Installation will not procede";
					exit -1;
				fi
			fi
			if [ $FULL_BUILD = true ]
			then
				./WSES_ICU_Runtime_Linking.sh
				./WSES_CachingProxy_msg_$LANGUAGE\_Linking.sh
				./WSES_CachingProxy_Linking.sh
				./wses_admin.rte.config
				./wses_cp.msg.$LANGUAGE.base.config
				./WSES_CachingProxy_CFP.sh
				./wses_cp.base.config
				if [ $? -ne 0 ]
				then
					echo "CP installation unsuccessful. Undoing configuration changes";
					../preUninstall/wses_cp.base.unconfig
					../preUninstall/wses_cp.msg.$LANGUAGE.base.unconfig
					../preUninstall/WSES_CachingProxy_msg_$LANGUAGE\_Unlinking.sh
					../preUninstall/WSES_CachingProxy_Unlinking.sh
					../preUninstall/wses_admin.rte.unconfig
					../preUninstall/WSES_ICU_Runtime_Unlinking.sh
					exit 1;
				fi
			else
			#Not running ICU and other linking scripts as we are not introducing any new file in the fixpack
				./patch/wses_cp.msg.$LANGUAGE.base.config
				./WSES_CachingProxy_CFP.sh
				./patch/wses_cp.base.config
			fi
			;;
"SunOS")
			../gskit/gskit.sh `pwd`/../gskit
			if [ $? -ne 0 ]
			then
				echo "GSKIT installation unsuccessful. Installation will not procede";
				exit -1;
			fi
			if [ $FULL_BUILD = true ]
			then
				./WSES_ICU_Runtime_Linking.sh
				./WSES_CachingProxy_msg_$LANGUAGE\_Linking.sh
				./WSES_CachingProxy_Linking.sh
			fi
			./WSESadmin.postinstall
			if [ $LANGUAGE = "en_US" ]
			then
				./WSEScpmen.postinstall
			else
				./WSEScpm$LANGUAGE.postinstall
			fi
			./WSES_CachingProxy_CFP.sh
			./WSEScp.postinstall
			;;
"HP-UX")
			../gskit/gskit.sh `pwd`/../gskit
			if [ $? -ne 0 ]
			then
				echo "GSKIT installation unsuccessful. Installation will not procede";
				exit -1;
			fi
			if [ $FULL_BUILD = true ]
			then
				./WSES_ICU_Runtime_Linking.sh
				./WSES_CachingProxy_msg_$LANGUAGE\_Linking.sh
				./WSES_CachingProxy_Linking.sh
			fi
			./admin.postinstall
			./WSES-cpm$LANGUAGE.postinstall
			./WSES_CachingProxy_CFP.sh
			./cp.postinstall
			;;
"Linux" )
			../gskit/gskit.sh `pwd`/../gskit
			if [ $? -ne 0 ]
			then
				rpm -qa | grep -i gskssl3[1-2]*
				if [ $? -ne 0 ]
				then
					echo "GSKIT installation unsuccessful. Installation will not procede";
					exit -1;
				fi
			fi
			if [ $FULL_BUILD = true ]
			then
				./WSES_ICU_Runtime.sh
				./WSES_CachingProxy_msg_$LANGUAGE\_Linking.sh
				./WSES_CachingProxy_Linking.sh
				./WSES_Admin_Runtime.sh
				./WSES_CachingProxy_msg_$LANGUAGE.sh
				./WSES_CachingProxy_CFP.sh
				./WSES_CachingProxy.sh
			else
				#Not running ICU and other linking scripts as we are not introducing any new file in the fixpack
				./patch/WSES_Admin_Runtime.sh
				./patch/WSES_CachingProxy_msg_$LANGUAGE.sh
				./WSES_CachingProxy_CFP.sh
				./patch/WSES_CachingProxy.sh
			fi
			;;
*)
		echo "Platform not supported!" 2> /dev/null > /dev/null;
		exit -1 ;;
esac
